apiVersion: apps/v1
kind: Deployment
metadata:
  name: web-deployment
  namespace: default
spec:
  minReadySeconds: 10
  revisionHistoryLimit: 2
  replicas: 1
  selector:
    matchLabels:
      app: web
  template:
    metadata:
      labels:
        app: web
    spec:
      containers:
        - name: web
          image: REGISTRY/NAMESPACE/IMAGE:TAG
          resources:
            limits:
              memory: 512Mi
              cpu: 100m
          ports:
            - containerPort: 3000
              name: web-port
          env:
            - name: NODE_ENV
              valueFrom:
                configMapKeyRef:
                  name: web-map
                  key: NODE_ENV
